package com.pcloud.book.copyright.dao.impl;

import com.pcloud.book.copyright.dao.BookClickBuyRecordDao;
import com.pcloud.book.copyright.entity.BookClickBuyRecord;
import com.pcloud.common.core.dao.BaseDaoImpl;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author lily
 * @date 2018/12/20 15:42
 */
@Component("bookClickBuyRecordDao")
public class BookClickBuyRecordDaoImpl extends BaseDaoImpl<BookClickBuyRecord>  implements BookClickBuyRecordDao {
    @Override
    public Integer getClickBuyRecordCount(List<Long> adviserIds) {
        return this.getSqlSession().selectOne(this.getStatement("getClickBuyRecordCount"), adviserIds);
    }
}
